Bug 520786 - lvm2-cluster conflicts with lvm2
lvm2-cluster conflicts with lvm2
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.5
All Linux
low Severity urgent
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-02 08:12 EDT by Bob Full
Modified: 2014-01-21 01:14 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 15:04:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob Full 2009-09-02 08:12:19 EDT
Description of problem:

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
lvm2-cluster conflicts with lvm2-2.02.46-8.el5.x86_64
Complete!
(1, ['Please report this error in bugzilla'])

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. yum update -y
2.
3.
  
Actual results:

Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
lvm2-cluster conflicts with lvm2-2.02.46-8.el5.x86_64
Complete!
(1, ['Please report this error in bugzilla'])


Expected results:

updates to work

Additional info:
Comment 1 Alasdair Kergon 2009-09-02 08:16:59 EDT
Transferring to yum, as that might be where the 'please report this in bugzilla' message is coming from.

lvm2 & lvm2-cluster must simply both be updated together.
Comment 2 seth vidal 2009-09-02 09:22:32 EDT
 What version of yum is this? Is this on rhel 5.4?
Comment 3 Bob Full 2009-09-08 13:41:18 EDT
 yum --version -> 3.2.22
  Installed: rpm-4.4.2.3-18.el5.i386 at 2009-09-02 12:01
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-07-24 05:56
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2009-07-24 22:00

  Installed: yum-3.2.22-20.el5.noarch at 2009-09-02 12:03
  Built    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla> at 2009-07-07 19:15
  Committed: James Antill <jantill@redhat.com> at 2009-07-07 22:00

rhel-5.4
Comment 4 Brian Wheeler 2010-01-06 12:26:36 EST
This is still broken for me.  

lvm2-2.02.46-8.el5
lvm2-cluster-2.02-32-4
Comment 5 Milan Broz 2010-01-06 12:34:05 EST
> lvm2-2.02.46-8.el5
> lvm2-cluster-2.02-32-4  

just FYI: you cannot install different versions of lvm2/lvm2/cluster packages together, the conflict here is intentional.

For lvm2-2.02.46-8.el5 you have to install lvm2-cluster-2.02.46-...
(available in cluster-storage rhn channel or repo)

(but if there is still ['Please report this error in bugzilla'], that's some yum problem)
Comment 6 Brian Wheeler 2010-01-06 12:43:35 EST
That makes sense with the different versions.

Something must have went wrong sometime during a yum update:  those are the two packages I've got installed and yum can't upgrade lvm2-cluster to match the versions.   I'll do it manually but its still kind of weird.
Comment 7 Dimitar Yordanov 2011-08-19 06:11:19 EDT
I face this problem and solve it by adding "cluster-storage rhn channel" for my system.
 But it is strange that this two packages have to have the same versions but they are in different channels.
Comment 8 James Antill 2013-03-14 15:04:22 EDT
 Seems like a weird depsolving error.

This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.